#ifndef __USE_POSTSCRIPT_H
#define __USE_POSTSCRIPT_H

#define PS_SIZE_A4_X	595
#define PS_SIZE_A4_Y	842

void ps_end    (FILE *f);
void ps_header (FILE *f, int scaleX,
                const char *strTitle, const char *strCopyright,
                double fontsize);
void ps_color  (FILE *f, int color);
void ps_line   (FILE *f, int x, int y, int x1, int y1);
void ps_rect   (FILE *f, int x, int y, int x1, int y1);
void ps_rect_fill   (FILE *f, int x, int y, int x1, int y1, int color);
void ps_circle (FILE *f, int x, int y, int r);
void ps_circle_fill (FILE *f, int x, int y, int r, int color);

// size=0: default size
void ps_text   (FILE *f, int x, int y, int size, const char *s);

#endif /* __USE_POSTSCRIPT_H */
