#ifndef __VS_GRAPH_H
#define __VS_GRAPH_H

void RepaintGraph();
void HellPhase();

#define HELL_OBS_N	3

void HellKurve();
void Script_HellKurve();
void HellKurve_Reset();
void HellKurve_Datumsbereich( double jd0, double jd1 );
void HellKurve_Gruppe( int groupN, ROrganisation* groupPtr, int groupForm );
void HellKurve_Beobachter( int obsN, const char* observerCode, int observerForm );

// as_bmp: display (0), print (1), save (2), export list (3), export observations (4) 
void HellKurvePaint (int as_bmp, const char* theGraphFileName);

void Analyse();
void BAV_HellKurve();

// return the grid stepwidth for a given total date difference
double GetJDGridStep( double jdDiff );

#endif /* __VS_GRAPH_H */
